Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Functions
- Variables
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - a -

- a_addrany : afd
- a_addrlen : afd
- a_af : afd
- a_loopback : afd
- a_off : afd
- a_socklen : afd
- abort_on_exception : rb_thread_struct
- actime : utimbuf
- action_check : cparse_params
- action_default : cparse_params
- action_pointer : cparse_params
- action_table : cparse_params
- addr : hostent_arg , rb_addrinfo_t
- ai_addr : addrinfo
- ai_addrlen : addrinfo
- ai_canonname : addrinfo
- ai_family : addrinfo
- ai_flags : addrinfo
- ai_next : addrinfo
- ai_protocol : addrinfo
- ai_socktype : addrinfo
- alen : recvfrom_arg
- alias_count : rb_method_definition_struct
- aliases : cbsubst_info
- alloc : re_pattern_buffer , _BBuf , UnsetAddrList
- allocate_increase : gc_profile_record
- allocate_limit : gc_profile_record
- allocated : re_registers , OnigCaptureTreeNodeStruct
- allow_nan : JSON_Generator_StateStruct , JSON_ParserStruct
- allow_ruby_exit : tcltkip
- alt_root : IApplyCaseFoldArg
- anc : OptExactInfo , OptMapInfo , NodeOptInfo
- anchor : iseq_link_anchor , _syck_node , re_pattern_buffer , OnigToken , _Node
- anchor_dmax : re_pattern_buffer
- anchor_dmin : re_pattern_buffer
- anchor_format : _syck_emitter
- anchored : _syck_emitter
- anchors : _syck_parser , _syck_emitter
- anctag : _syck_level
- anychar : OnigMetaCharTableType
- anychar_anytime : OnigMetaCharTableType
- anytime : OnigMetaCharTableType
- api_version : rb_digest_metadata_t
- apply_all_case_fold : OnigEncodingTypeST
- arg : foreach_safe_arg , hash_foreach_arg , dump_call_arg , INamesArg , exec_recursive_params , obj_ivar_tag , rb_unblock_callback
- arg_block : rb_iseq_struct
- arg_opt_table : rb_iseq_struct
- arg_opts : rb_iseq_struct
- arg_post_len : rb_iseq_struct
- arg_post_start : rb_iseq_struct
- arg_rest : rb_iseq_struct
- arg_simple : rb_iseq_struct
- arg_size : rb_iseq_struct
- argc : rb_context_struct , fiddle_closure , iconv_env_t , child_info , invoke_queue , call_queue , rb_exec_arg , foreach_arg , argf_call_arg , rb_method_cfunc_struct , RNode , rb_iseq_struct , rescue_funcall_args , asynchronous_arg_t , iter_method_arg , exec_info , invoke_info
- argf : argf_call_arg
- args : enumerator , cmd_body_arg , local_vars
- argv : invoke_info , argf_call_arg , foreach_arg , iconv_env_t , exec_info , fiddle_closure , call_queue , child_info , invoke_queue , rb_exec_arg , rescue_funcall_args , asynchronous_arg_t , iter_method_arg , argf
- array : RVALUE
- array_class : JSON_ParserStruct
- array_delim : JSON_Generator_StateStruct
- array_nl : JSON_Generator_StateStruct
- array_nl_len : JSON_Generator_StateStruct
- ary : RObject , rb_transcoding , RString , thgroup_list_params , RArray , ary_sort_data , RStruct , RBignum , rb_transcoding::rb_transcoding_state_t
- as : RArray , RString , RStruct , RVALUE , RObject , RBignum
- ascii_compat_name : asciicompat_encoding_t
- ascii_incompat_name : asciicompat_encoding_t
- ascii_only : JSON_Generator_StateStruct
- asciicompat_type : rb_transcoder
- atime : utime_args
- attr : rb_method_definition_struct
- aux : RString , RArray